Zandronum Chat @
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003296Doomseeker[All Projects] Bugpublic2017-10-07 10:562018-02-19 00:17
Assigned ToZalewa 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003296: Get rid of install_dependable target.
Descriptioninstall_dependable target causes some grief with multi-process compilation in Visual Studio. I repeatedly get failed compilations that eventually succeed just by recompiling.

install_dependable is "needed" for targets that prepare auto-update packages. It should be figured out how to prepare these packages either without having to INSTALL, or by running INSTALL through different means.
Attached Files

- Relationships

-  Notes
User avatar (0019060)
Zalewa (developer)
2018-02-16 12:41

It turns out you can just add more than one COMMAND into add_custom_target(), thus chaining commands is possible, thus a separate target for "cmake --build . --target install" is not necessary. [^]

This should be tested on Mac.
User avatar (0019074)
Blzut3 (administrator)
2018-02-18 21:00

These targets are not used on the Mac since at least at least at the moment the build process for the official Mac binaries requires multiple compilation passes and merging which is captured in I then plug the resulting app bundle into the ruby scripts.
User avatar (0019075)
Zalewa (developer)
2018-02-19 00:17

Thanks. I love seeing tickets in the green.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-10-07 10:56 Zalewa New Issue
2017-10-08 02:48 WubTheCaptain Category Suggestion => Bug
2018-02-15 20:37 Zalewa Assigned To => Zalewa
2018-02-15 20:37 Zalewa Status new => assigned
2018-02-16 11:40 Zalewa Summary Get rid off install_dependable target. => Get rid of install_dependable target.
2018-02-16 12:41 Zalewa Note Added: 0019060
2018-02-16 12:41 Zalewa Assigned To Zalewa => Blzut3
2018-02-16 12:41 Zalewa Status assigned => needs testing
2018-02-18 21:00 Blzut3 Note Added: 0019074
2018-02-18 21:01 Blzut3 Status needs testing => resolved
2018-02-18 21:01 Blzut3 Fixed in Version => 1.2
2018-02-18 21:01 Blzut3 Resolution open => fixed
2018-02-18 21:01 Blzut3 Assigned To Blzut3 => Zalewa
2018-02-18 21:01 Blzut3 Target Version => 1.2
2018-02-19 00:17 Zalewa Note Added: 0019075

Questions or other issues? Contact Us.


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker